Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.security.ecc
Class PrimeField

    java.lang.Object
      com.sun.squawk.security.ecc.PrimeField

Direct Known Subclasses:
  NIST160PrimeField

    public class PrimeField

extends Object

Field Summary
`protected FFA` | `ffa`
`protected int[]` | `p`

Constructor Summary
`PrimeField(FFA ffa, int[] p)`

Method Summary
`void` | `add(int[] r, int[] a, int[] b)`
`void` | `divide2(int[] r, int[] a)`
`int` | `getBitSize()`
`FFA` | `getFFA()`
`int[]` | `getP()`
`void` | `invert(int[] r, int[] a)`
`void` | `multiply(int[] r, int[] a, int[] b)`
`void` | `multiply2(int[] r, int[] a)`
`void` | `negate(int[] r, int[] a)`
`protected void` | `reduce(int[] r, int[] a)`
`void` | `square(int[] r, int[] a)`
`void` | `subtract(int[] r, int[] a, int[] b)`
`void` | `trim(int[] r, int[] a)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ffa

    protected final FFA ffa

### p

    protected final int[] p

Constructor Detail

### PrimeField

    public PrimeField(FFA ffa,
                      int[] p)

Method Detail

### add

    public void add(int[] r,
                    int[] a,
                    int[] b)

### subtract

    public void subtract(int[] r,
                         int[] a,
                         int[] b)

### multiply

    public void multiply(int[] r,
                         int[] a,
                         int[] b)

### square

    public void square(int[] r,
                       int[] a)

### multiply2

    public void multiply2(int[] r,
                          int[] a)

### divide2

    public void divide2(int[] r,
                        int[] a)

### negate

    public void negate(int[] r,
                       int[] a)

### invert

    public void invert(int[] r,
                       int[] a)

### trim

    public void trim(int[] r,
                     int[] a)

### reduce

    protected void reduce(int[] r,
                          int[] a)

### getP

    public final int[] getP()

### getFFA

    public final FFA getFFA()

### getBitSize

    public int getBitSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"